## imcode.server.document.textdocument
Class TestTreeSortKeyDomainObject

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.server.document.textdocument.TestTreeSortKeyDomainObject

All Implemented Interfaces:
  junit.framework.Test

    public class TestTreeSortKeyDomainObject

extends junit.framework.TestCase

Constructor Summary
`TestTreeSortKeyDomainObject()`

Method Summary
`void` `testEmpty()`
`void` `testPrefix()`
`void` `testSeparators()`
`void` `testSuffix()`
`void` `testUntrimmed()`
`void` `testWhitespace()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestTreeSortKeyDomainObject

    public TestTreeSortKeyDomainObject()

Method Detail

### testPrefix

    public void testPrefix()

### testSuffix

    public void testSuffix()

### testEmpty

    public void testEmpty()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUntrimmed

    public void testUntrimmed()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWhitespace

    public void testWhitespace()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSeparators

    public void testSeparators()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`